Skip to main content

List schedules

GET /v1/solver_schedules

Authentication​

Send a token issued in the Zoopit dashboard as Authorization: Bearer <token>.

Query parameters​

NameTypeRequired
offsetnumber
limitnumber
orderarray of array of tuple
wherearray of object
selectarray of "attributes" | "created_at" | "created_by" | "deleted_at" | "deleted_by" | "fleet_actors_filter" | "id" | "modified_at" | "modified_by" | "name" | "orders_filter" | "owner" | "owners" | "planning_config_id" | "run_after" | "schedule_id" | "tags"

Responses​

200​

resource: array of PartialSolverScheduleWithId

FieldTypeRequired
attributesobject
namestring
created_atstring
modified_atnull or string
deleted_atnull or string
created_bystring
modified_bynull or string
deleted_bynull or string
ownersarray of string
tagsarray of string
run_afterstring
schedule_idstring
orders_filterobject
fleet_actors_filterobject
planning_config_idnull or string
ownerstring
idstringyes

Example​

curl -X GET 'https://routes-api.cloud.zoopit.no/v1/solver_schedules'
-H 'Authorization: Bearer <token>'

Try it in the interactive Routes API reference.

Field descriptions, guides and worked examples are in the full reference, available to customers in the Zoopit dashboard under Accounts → Developer.